Contents

# Option VBASupport Statement

Specifies that LibreOffice Basic will support some VBA statements, functions and objects.

이 문은 모듈의 실행 프로그램 코드 앞에 추가해야 합니다.

The support for VBA is not complete, but covers a large portion of the common usage patterns.

When VBA support is enabled, LibreOffice Basic function arguments and return values are the same as their VBA functions counterparts. When the support is disabled, LibreOffice Basic functions may accept arguments and return values different of their VBA counterparts.

### Syntax:

Option VBASupport {1|0}

### Parameters:

1: Enable VBA support in LibreOffice

0: Disable VBA support

### Example:

    Option VBASupport 1
    Sub ExampleVBA
        Dim sVar As Single
        sVar = Worksheets("Sheet1").Range("A1")
        Print sVar
    End Sub

관련 주제

VBA 속성

VBA support in LibreOffice

CompatibilityMode() Function

Option ClassModule Statement